%def_with cvs
%def_with echo_suppress
%def_without h323
%def_with    sqlite
%def_without tds
%def_without curl

%define cvs_date	20051016

Name: asterisk
Summary: Open source PBX
Version: 1.1.0
Release: alt5
License: GPL
Group: System/Servers
# Source: %name-%version.tar.gz
Url: ftp://ftp.asterisk.org/pub/%name/%name-%version.tar.gz
Epoch: %cvs_date
Patch: asterisk.patch
Patch1: asterisk.pic.patch

Patch2: asterisk.h323-build.patch
Patch3: asterisk.h323-1.patch
Patch4: asterisk.h323-2.patch

Patch6: asterisk.spandsp.patch
Patch7: asterisk.g723.debug.patch
Patch8: asterisk.g723.rate53.patch

# rusification
Patch9: asterisk.russian-say.diff
Patch10: asterisk.russian-voicemail.diff

# other
Patch11: asterisk.sip.conf.sample.diff
Patch12: asterisk.snom-ringing.patch
Patch13: asterisk.snom-ringing-fix.patch
Patch14: asterisk.zap-bridge-gain.patch
Patch16: asterisk.res_agi_get_data.patch
Patch17: asterisk.agi_streamfile_video_raw.2.patch
Patch18: asterisk.async.rtp.patch
Patch19: asterisk.Monitor.patch
#Patch20: asterisk.speed.rtp.patch

Source1: asterisk-modules.conf
Source2: asterisk-init
Source3: musiconhold.conf

# For enabling PLC by default
Source4: codecs.conf

# SpanDSP FAX patch
Source10: app_dtmftotext.c
Source11: app_rxfax.c
Source12: app_rxfax_test.c
Source14: app_txfax.c
Source15: app_txfax_test.c
Source16: README

# H.323 support -- Asterisk need _this_ versions of libraries
Source20: openh323-v1_17_1-src-tar.gz
Source21: pwlib-v1_9_0-src-tar.gz

# faxdetect
Source30: app_nv_faxdetect.c
Source31: app_nv_backgrounddetect.c

# Other
Source40: app_sms_pr2.c
Source42: app_vars2file.c

#Source50: ifp-2.0.0.tar.gz

# Для сборки CVS
%if_with cvs
Source: %name-%epoch.tar.gz
%else
Source: %name-%version.tar.gz
%endif

# FIXME (требуеют g723 кодеки)
%set_verify_elf_method textrel=relaxed

# comment : res_crypto in main package, because if apache compiled with ssl, asterisk need this for work

# Automatically added by buildreq on Sat May 14 2005
BuildRequires: directfb-devel libalsa-devel libidn-devel libncurses-devel libnewt-devel libpopt-devel libpq4-devel libspeex-devel libssl-devel libtiff-devel libtinfo-devel libunixODBC-devel mpg123 postgresql-devel spandsp-devel sqlite-devel zaptel-devel zlib-devel libvorbis-devel libzap-devel

BuildRequires: gcc3.4-c++

%if_with curl
BuildRequires: libcurl-devel
%endif

# Needed for E1/T1 support
BuildRequires: libpri >= 0.3.0-alt1

BuildPreReq: spandsp-devel = 0.0.2pre20

%if_with tds
BuildPreReq: libfreetds-devel
%endif

%if_with h323
BuildPreReq: libexpat-devel flex
#BuildPreReq: libpw-devel libopenh323-devel
%endif

%if_with sqlite
BuildPreReq: sqlite-devel
%endif

Requires(pre): shadow-utils
PreReq: shadow-utils coreutils

%package devel
Requires: asterisk = %epoch:%version
Summary: %summary
Group: %group

%package demo
Requires: asterisk = %epoch:%version
Summary: %summary
Group: %group

%package pgsql
Requires: asterisk = %epoch:%version
Summary: %summary
Group: %group

%if_with sqlite
%package sqlite
Requires: asterisk = %epoch:%version
Summary: %summary
Group: %group
%endif

%if_with h323
%package h323
Requires: asterisk = %epoch:%version
Summary: %summary
Group: %group
%endif

%package odbc
Requires: asterisk = %epoch:%version
Summary: %summary
Group: %group

%package speex
Requires: asterisk = %epoch:%version
Summary: %summary
Group: %group

%if_with tds
%package tds
Requires: asterisk = %epoch:%version
Summary: %summary
Group: %group
%endif

%package astman
Requires: asterisk = %epoch:%version
Summary: %summary
Group: %group

%package fax
Requires: asterisk = %epoch:%version
Summary: %summary
Group: %group

%package other
Requires: asterisk = %epoch:%version
Summary: %summary
Group: %group

%description
Asterisk is a complete PBX in software. It provides all of the features
you would expect from PBX and more. Asterisk does voice over IP in three
protocols, and can interoperate with almost all standart-based telephony
equipment using relatively inexpensive hardware.

%description devel
Asterisk is a complete PBX in software. It provides all of the features
you would expect from PBX and more. Asterisk does voice over IP in three
protocols, and can interoperate with almost all standart-based telephony
equipment using relatively inexpensive hardware.

%description demo
Asterisk is a complete PBX in software. It provides all of the features
you would expect from PBX and more. Asterisk does voice over IP in three
protocols, and can interoperate with almost all standart-based telephony
equipment using relatively inexpensive hardware.

%description pgsql
PostgresSQL logging module for Asterisk

%description other
PostgreSQL modules

%if_with sqlite
%description sqlite
SQLite logging module for Asterisk
%endif
say.patch
Patch10: asterisk-russian-voicemail.patch
%if_with h323
%description h323
H.323 channel support for Asterisk PBX
%endif

%description speex
SPEEX codec support for Asterisk PBX

%description odbc
ODBC-support for Asterisk PBX

%if_with tds
%description tds
FreeTDS support for Asterisk PBX
%endif

%description astman
OpenSSL support for Asterisk PBX

%description fax
FAX send/receive support for Asterisk PBX

%define pwlibdir    $RPM_BUILD_DIR/pwlib_v1_9_0
%define openh323dir $RPM_BUILD_DIR/openh323_v1_17_1

%prep
%setup -n %name
subst 's!^[[:space:]]*ASTVARRUNDIR=.*!ASTVARRUNDIR=$(INSTALL_PREFIX)/var/run/asterisk!' Makefile

subst 's!^\#.*PTLIB!PTLIB=-lpt_linux_x86_r_s!g' channels/Makefile

%if_with h323
pushd $RPM_BUILD_DIR
tar xfz %SOURCE20
tar xfz %SOURCE21
popd
export P_SHAREDLIB=1
pushd %pwlibdir
./configure --disable-alsa --disable-video --disable-plugins
make
popd
pushd %openh323dir
export PWLIBDIR=%pwlibdir
./configure --disable-video
make opt
popd
%endif

subst 's!^OPTIONS=!OPTIONS=-D__user=!' Makefile

# Building rxfax/txfax modules and others
subst 's!^APPS=!APPS=app_rxfax.so app_txfax.so app_nv_backgrounddetect.so app_nv_faxdetect.so !' apps/Makefile

%patch -p0

# PIC-patch don't needed
#patch1 -p0

%if_with h323
%patch2 -p0
%patch3 -p0
#patch4 -p0

subst s!h323_linux_x86_r!h323_linux_x86_r_s!g channels/Makefile
%endif

%patch6 -p0

# for debug only
%patch7 -p0

# use G.723.1 with 5.3kbps rate instead of 6.3kbps
# этого патча недостаточно -- нужно правильно установить все длины пакетов
#patch8 -p0

# rusification
%patch9 -p0
%patch10 -p0

# example sip.conf
# - added to upstream
#patch11 -p0

# snom ringing
%patch12 -p0
%patch13 -p1
%patch14 -p0

# other
%patch16 -p0
%patch17 -p0
%patch18 -p0
%patch19 -p0
#patch20 -p0

cp %SOURCE11 apps/
cp %SOURCE14 apps/

# nv_faxdetect/nv_backgrounddetect
cp %SOURCE30 apps/
cp %SOURCE31 apps/

# app_sms_pr2
cp %SOURCE40 apps/

# other applications
cp %SOURCE42 apps/

pushd editline
%__libtoolize --force --copy
popd

rm -rf codecs/g723.1

subst 's!uname -m!echo %_target_cpu!g' */Makefile */*/Makefile Makefile

find -name 'Makefile.orig' | xargs subst 's!uname -m!echo %_target_cpu!g'

subst 's!linux/zaptel.h!zaptel.h!' *.c Makefile */*.c */Makefile

#subst 's!/bin/arch!echo %_target_cpu!g' editline/config.guess

%build
export PTLIB=-lpt_linux_x86_r_s
export PWLIBDIR=%pwlibdir
export OPENH323DIR=%openh323dir
export CFLAGS=-fPIC

find -type f -name '.depend' -print0 \
	| xargs -0r rm -f

make -C formats/format_mp3 INCLUDE="-I`pwd`/include"
%if_with h323
pushd channels/h323 > /dev/null
make PWLIBDIR=%pwlibdir OPENH323DIR=%openh323dir
popd
%endif
# non-SMP compatible build
make

%install
%if_with h323
%__mkdir -p %buildroot/usr/lib/asterisk
%__install %pwlibdir/lib/*.so.* %buildroot/usr/lib/asterisk/
%endif

# INSTALL_PREFIX=%buildroot
%make_install DESTDIR=%buildroot install

rm -f  %buildroot/var/lib/asterisk/sounds/vm %buildroot//var/lib/asterisk/sounds/voicemail  %buildroot/var/spool/asterisk/vm
ln -sf /var/spool/asterisk/vm                %buildroot/var/lib/asterisk/sounds/vm
ln -sf /var/spool/asterisk/sounds/voicemail  %buildroot//var/lib/asterisk/sounds/voicemail
ln -sf /var/spool/asterisk/voicemail/default %buildroot/var/spool/asterisk/vm
cp -a configs/* %buildroot/etc/asterisk/
cp %buildroot/etc/asterisk/indications.conf.sample %buildroot/etc/asterisk/indications.conf
cp %SOURCE1 %buildroot/etc/asterisk/modules.conf

mkdir %buildroot/etc/asterisk/samples/
mv %buildroot/etc/asterisk/*.sample %buildroot/etc/asterisk/samples/

touch %buildroot/etc/asterisk/modem.conf
mkdir -p %buildroot/etc/rc.d/init.d/
cp %SOURCE2 %buildroot/etc/rc.d/init.d/asterisk

mkdir -p %buildroot/var/run/asterisk

%__install formats/format_mp3/*.so %buildroot%_libdir/asterisk/modules

chmod 750 %buildroot%_libdir/asterisk/modules

%__install %SOURCE3 %buildroot/etc/%name
%__install %SOURCE4 %buildroot/etc/%name

mkdir -p %buildroot/var/spool/asterisk/fax

# this file requires per
mkdir -p %buildroot/usr/share/doc/%name
mv %buildroot/var/lib/asterisk/agi-bin/agi-test.agi %buildroot/usr/share/doc/%name/agi-test.agi

%pre -n asterisk
/usr/sbin/groupadd -r -f asterisk
/usr/sbin/useradd -g asterisk -r -c "Asterisk IP PBX" -s /dev/null -d /dev/null -n asterisk > /dev/null 2>&1 ||:

%files devel
/usr/include/asterisk

%files demo
%attr(0700,asterisk,asterisk) %_libdir/asterisk/modules/chan_alsa.so
%attr(0700,asterisk,asterisk) %_libdir/asterisk/modules/chan_oss.so

%if_with tds
%files tds
%attr(0700,asterisk,asterisk) %_libdir/asterisk/modules/cdr_tds.so
%endif

%files odbc
%attr(0700,asterisk,asterisk) %_libdir/asterisk/modules/cdr_odbc.so
%attr(0700,asterisk,asterisk) %_libdir/asterisk/modules/res_odbc.so
%attr(0700,asterisk,asterisk) %_libdir/asterisk/modules/res_config_odbc.so

%if_with sqlite
%files sqlite
%attr(0700,asterisk,asterisk) %_libdir/asterisk/modules/cdr_sqlite.so
%endif

%files pgsql
%attr(0700,asterisk,asterisk) %_libdir/asterisk/modules/cdr_pgsql.so

%if_with h323
%files h323
%attr(0700,asterisk,asterisk) %_libdir/asterisk/modules/chan_h323.so
%attr(0700,asterisk,asterisk) /usr/%_lib/asterisk/*.so.*
%endif

%files speex
%attr(0700,asterisk,asterisk) %_libdir/asterisk/modules/codec_speex.so

%files astman
/usr/sbin/astman

%files fax
%attr(0700,asterisk,asterisk) %_libdir/asterisk/modules/app_rxfax.so
%attr(0700,asterisk,asterisk) %_libdir/asterisk/modules/app_txfax.so
%attr(0700,asterisk,asterisk) /var/spool/asterisk/fax

%files other
%if_with curl
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_curl.so
%endif
%if_with cvs
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_ogg_vorbis.so
%endif

%files
/etc/rc.d/init.d/*

%if_with cvs
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_chanspy.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_dictate.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_dumpchan.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_directed_pickup.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_externalivr.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_math.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_md5.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_muxmon.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_readfile.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_realtime.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_setrdnis.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_settransfercapability.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_page.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_waitforsilence.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_while.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/cdr_custom.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/chan_features.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_au.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_g723.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/func_callerid.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/func_enum.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/func_uri.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/pbx_dundi.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/pbx_ael.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/pbx_functions.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/pbx_loopback.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/pbx_realtime.so
%endif

%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_adsiprog.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_alarmreceiver.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_authenticate.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_cdr.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_chanisavail.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_controlplayback.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_cut.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_db.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_dial.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_directory.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_disa.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_echo.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_enumlookup.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_eval.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_exec.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_festival.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_flash.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_forkcdr.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_getcpeid.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_groupcount.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_hasnewvoicemail.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_image.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_lookupblacklist.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_lookupcidname.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_nv_faxdetect.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_nv_backgrounddetect.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_macro.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_meetme.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_milliwatt.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_parkandannounce.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_playback.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_privacy.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_queue.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_random.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_read.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_record.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_sayunixtime.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_senddtmf.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_sendtext.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_setcallerid.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_setcdruserfield.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_setcidname.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_setcidnum.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_sms.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_softhangup.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_striplsd.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_substring.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_system.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_talkdetect.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_test.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_transfer.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_txtcidname.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_url.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_userevent.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_verbose.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_voicemail.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_waitforring.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_zapateller.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_zapbarge.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_zapras.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/app_zapscan.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/cdr_csv.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/cdr_manager.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/chan_agent.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/chan_iax2.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/chan_local.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/chan_mgcp.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/chan_modem.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/chan_modem_aopen.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/chan_modem_bestdata.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/chan_modem_i4l.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/chan_phone.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/chan_sip.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/chan_skinny.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/chan_zap.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/codec_a_mu.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/codec_adpcm.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/codec_alaw.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/codec_g723_1b.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/codec_g726.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/codec_gsm.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/codec_ilbc.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/codec_lpc10.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/codec_ulaw.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_g726.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_g729.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_gsm.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_h263.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_ilbc.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_jpeg.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_mp3.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_pcm.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_pcm_alaw.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_sln.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_vox.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_wav.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/format_wav_gsm.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/pbx_config.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/pbx_spool.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/res_adsi.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/res_agi.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/res_crypto.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/res_features.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/res_indications.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/res_monitor.so
%attr(0750,root,asterisk) %_libdir/asterisk/modules/res_musiconhold.so

# you must use format_mp3.so
%exclude %attr(0750,root,asterisk) %_libdir/asterisk/modules/app_mp3.so

# now replaced by chan_oss.so
#exclude %attr(0750,root,asterisk) %_libdir/asterisk/modules/app_intercom.so

# silly
%exclude %attr(0750,root,asterisk) %_libdir/asterisk/modules/app_ices.so
%exclude %attr(0750,root,asterisk) %_libdir/asterisk/modules/app_nbscat.so

# not needed (we have own support)
%exclude /usr/sbin/autosupport
%exclude /usr/sbin/safe_asterisk
%exclude /usr/sbin/astman

%dir /etc/%name
%config(noreplace) /etc/%name/*.conf
%config(noreplace) /etc/%name/*.adsi
%dir /etc/%name/samples
/etc/%name/samples/*
%dir %_libdir/%name
%dir %_libdir/%name/modules

/usr/sbin/*
%_man8dir/*
%attr(0700,asterisk,asterisk) /var/lib/asterisk
%attr(0700,asterisk,asterisk) /var/log/asterisk
%attr(0700,asterisk,asterisk) /var/spool/asterisk
%attr(0700,asterisk,asterisk) %dir /var/run/asterisk

%doc SECURITY README README.fpm HARDWARE doc

%changelog
* Sun Oct 16 2005 Denis Smirnov <mithraen@altlinux.ru> 20051016:1.1.0-alt5
- cvs update
- multiple cleanups
- some timing patches
- some patches for SIP
- app_curl disabled

* Thu Oct 13 2005 Denis Smirnov <mithraen@altlinux.ru> 20051013:1.1.0-alt4
- cvs update
- multiple cleanups

* Sun Oct 09 2005 Denis Smirnov <mithraen@altlinux.ru> 20051009:1.1.0-alt3
- cvs update
- AGI: get_data enchanced
- AGI: stream file video support
- async rtp (some support for VAD, without CNG)
- Monitor application pause/resume support
- rtp speedup

* Tue Oct 04 2005 Denis Smirnov <mithraen@altlinux.ru> 20051004:1.1.0-alt2
- snom ringing pickup support
- russian say date/time support (without sound samples)
- russian voicemail support (without sound samples)
- zap bridged calls use other rxgain/txgain values

* Wed Sep 28 2005 Denis Smirnov <mithraen@altlinux.ru> 20050928:1.1.0-alt1
- cvs snapshot update

* Wed Sep 28 2005 Denis Smirnov <mithraen@altlinux.ru> 20050919:1.1.0-alt1
- cvs snapshot update

* Mon Sep 19 2005 Denis Smirnov <mithraen@altlinux.ru> 20050919:1.2.0-alt1
- cvs snapshot update
- fix asterisk-fax -- added spool directory
- move ogg vorbis support to asterisk-other
- app_directed_pickup module added

* Thu Sep 15 2005 Denis Smirnov <mithraen@altlinux.ru> 20050915:1.2.0-alt1
- cvs snapshot update

* Sun Sep 04 2005 Denis Smirnov <mithraen@altlinux.ru> 20050904:1.0.9-alt5
- cvs snapshot update

* Thu Sep 01 2005 Denis Smirnov <mithraen@altlinux.ru> 20050901:1.0.9-alt4
- update

* Wed Aug 24 2005 Denis Smirnov <mithraen@altlinux.ru> 20050818:1.0.9-alt3
- libpri used (E1/T1 support build)

* Sun Aug 21 2005 Denis Smirnov <mithraen@altlinux.ru> 20050818:1.0.9-alt2
- app_sms_pr2 (not builded)

* Thu Aug 18 2005 Denis Smirnov <mithraen@altlinux.ru> 20050818:1.0.9-alt1
- build last asterisk release with fixes from cvs
- cleanup some patches
- update snapdsp (fax support lib)

* Wed Aug 17 2005 Denis Smirnov <mithraen@altlinux.ru> 20050813:1.0.5-alt25
- faxdetect/backgrounddetect added

* Sun Aug 14 2005 Denis Smirnov <mithraen@altlinux.ru> 20050813:1.0.5-alt24
- version update
- app_externalivr added

* Wed Jul 27 2005 Denis Smirnov <mithraen@altlinux.ru> 20050727:1.0.5-alt23
- version update
- ogg vorbis support added

* Wed Jun 29 2005 Denis Smirnov <mithraen@altlinux.ru> 20050629:1.0.5-alt22
- version update

* Wed Jun 15 2005 Denis Smirnov <mithraen@altlinux.ru> 20050615:1.0.5-alt21
- version update

* Sat May 14 2005 Denis Smirnov <mithraen@altlinux.ru> 20050514:1.0.5-alt20
- version update

* Mon May 02 2005 Denis Smirnov <mithraen@altlinux.ru> 20050502:1.0.5-alt19
- version update

* Sat Apr 30 2005 Denis Smirnov <mithraen@altlinux.ru> 20050427:1.0.5-alt18
- build with postgresql 8.0.1

* Wed Apr 27 2005 Denis Smirnov <mithraen@altlinux.ru> 20050427:1.0.5-alt17
- version update

* Sun Apr 24 2005 Denis Smirnov <mithraen@altlinux.ru> 20050424:1.0.5-alt16
- spandsp updates

* Fri Apr 22 2005 Denis Smirnov <mithraen@altlinux.ru> 20050422:1.0.5-alt15
- version update

* Wed Apr 20 2005 Denis Smirnov <mithraen@altlinux.ru> 20050419:1.0.5-alt15
- H.323 fix

* Tue Apr 19 2005 Denis Smirnov <mithraen@altlinux.ru> 20050419:1.0.5-alt14
- H.323 on
- cvs update

* Thu Apr 14 2005 Denis Smirnov <mithraen@altlinux.ru> 20050413:1.0.5-alt13
- spec cleanup

* Wed Apr 13 2005 Denis Smirnov <mithraen@altlinux.ru> 20050413:1.0.5-alt12
- spandsp update
- packaging with codecs.conf, enabling PLC
- cvs update

* Tue Apr 12 2005 Denis Smirnov <mithraen@altlinux.ru> 20050412:1.0.5-alt11
- FreeTDS support must be over ODBC (obsolete now)
- version update

* Thu Apr 07 2005 Denis Smirnov <mithraen@altlinux.ru> 20050407:1.0.5-alt10
- version update

* Mon Apr 04 2005 Denis Smirnov <mithraen@altlinux.ru> 20050404:1.0.5-alt9
- rebuild

* Sat Mar 19 2005 Denis Smirnov <mithraen@altlinux.ru> 20050319:1.0.5-alt8
- plc added (upstream)

* Tue Mar 15 2005 Denis Smirnov <mithraen@altlinux.ru> 20050315:1.0.5-alt7
- update
- added my patch to G723.1 for debug

* Sat Mar 12 2005 Denis Smirnov <mithraen@altlinux.ru> 20050312:1.0.5-alt6
- update

* Sat Mar 05 2005 Denis Smirnov <mithraen@altlinux.ru> 20050305:1.0.5-alt6
- version update
- убран cdr_sqlite

* Fri Feb 25 2005 Denis Smirnov <mithraen@altlinux.ru> 20050216:1.0.5-alt5
- cleanups

* Thu Feb 17 2005 Denis Smirnov <mithraen@altlinux.ru> 20050216:1.0.5-alt4
- H.323 fixed

* Fri Feb 11 2005 Denis Smirnov <mithraen@altlinux.ru> 20050211:1.0.5-alt2
- cvs update

* Tue Feb 08 2005 Denis Smirnov <mithraen@altlinux.ru> 20050208:1.0.5-alt1
- cvs update

* Wed Feb 02 2005 Denis Smirnov <mithraen@altlinux.ru> 20050202:1.0.2-alt10
- cvs update

* Thu Jan 27 2005 Denis Smirnov <mithraen@altlinux.ru> 20050127:1.0.2-alt9
- cvs update
- move fax support to subpackage

* Mon Jan 24 2005 Denis Smirnov <mithraen@altlinux.ru> 20050123:1.0.2-alt8
- musiconhold.conf

* Mon Jan 24 2005 Denis Smirnov <mithraen@altlinux.ru> 20050123:1.0.2-alt7
- fax support added

* Sun Jan 23 2005 Denis Smirnov <mithraen@altlinux.ru> 20050123:1.0.2-alt6
- version update
- not package obsolete modules

* Fri Jan 21 2005 Denis Smirnov <mithraen@altlinux.ru> 20050121:1.0.2-alt5
- version update
- format_mp3 added

* Thu Jan 20 2005 Denis Smirnov <mithraen@altlinux.ru> 20050120:1.0.2-alt4
- version update
- fixed build for i586 (not i686)

